(defun varget ()

	(setq lis '("HIGHLIGHT" "BLIPMODE" "CMDECHO"
		    "BLIPMODE" "OSMODE"))
	;store names of system variables

	(setq  var (mapcar 'getvar lis))
	;get the value of the system variables and
	;store them as a list

	(setq var1 '(0 0 0 0 517))
	;store the new values of the system variables

	(setq no 0)
	;set counter to zero

	(repeat (length lis)
	;get the number of variables in the list
	;to use as the counter control number

		(setvar (nth no lis) (nth no var1))
		;set the variables to their new values

		(setq no (1+ no))
		;move up one in the list

	);repeat

  (princ);finish quietly

);defun

;***************************************************************

(defun varset ()

	(setq no 0)
	;set counter to zero

	(repeat (length lis)
	;get the number of variables in the list

		(setvar (nth no lis) (nth no var))
		;reset the variables to their original values

		(setq no (1+ no))
		;move up one in the list

	);repeat

  (princ);finish quietly

);defun

;***************************************************************

(princ);load quietly

;***************************************************************
